> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Post Tag

<Note>
  **OAuth scope:** `memberships_write`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml /openapi/membership.json POST /open-api/v1.1/memberships/tags/posts
openapi: 3.1.0
info:
  title: OpenAPI
  version: 0.0.1
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
paths:
  /open-api/v1.1/memberships/tags/posts:
    post:
      tags:
        - Tags
      summary: Create Post Tag
      operationId: create-post-tag
      parameters:
        - name: X-ShopId
          in: header
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 30
                postsIds:
                  type: array
                  items:
                    type: integer
                  optional: true
                thumbnailResourceId:
                  type: integer
                  optional: true
              required:
                - name
              openapi: true
        required: true
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response.Common.Id'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response.Common.Error.Validation'
      security:
        - oauth:
            - memberships_write
        - basicAuth: []
components:
  schemas:
    Response.Common.Id:
      type: object
      properties:
        id:
          type: integer
      required:
        - id
      title: Id
    Response.Common.Error.Validation:
      type: object
      properties:
        parameters:
          type: object
          example: '{ "post_id": [ "is missing" ] }'
        body:
          type: object
          example: '{ "discount": { "percentOff": [ "is missing" ] } }'
      title: Validation
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            memberships_read: memberships_read
            memberships_write: memberships_write
    basicAuth:
      type: http
      scheme: basic

````